//
//  XMLRPCDecoder.h
//  XMLRPC
//
//  Created by Russell Jancewicz on 2012-05-29.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol XMLRPCDecoder <NSObject>

- (id)initWithData:(NSData *)data;
- (id)decode;
- (BOOL)fault;

@end


@interface XMLRPCDecoder : NSObject <XMLRPCDecoder, NSXMLParserDelegate>

@property (strong, nonatomic) id value;
@property (readwrite, nonatomic) BOOL fault;

@property (strong, nonatomic) NSString *name;
@property (strong, nonatomic) NSXMLParser *parser;
@property (strong, nonatomic) XMLRPCDecoder *parent;


- (id)initWithData:(NSData *)data;
- (id)decode;

@end
