//
//  XMLRPCManager.h
//  XMLRPC
//
//  Created by Russell Jancewicz on 2012-05-27.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "XMLRPCRequest.h"
#import "XMLRPCResponse.h"

@class XMLRPCManager;

@interface XMLRPCManager : NSObject 

@property (strong, nonatomic) NSURL *server;
@property (readonly, nonatomic) NSArray *requests;
//@property (strong, nonatomic) id<XMLRPCEncoder> encoder;


+ (XMLRPCManager *)xmlrpcManagerWithServer:(NSURL *)server;

- (void)shutdown;

- (void)requestMethod:(NSString *)method withParams:(NSArray *)params usingCallbacks:(id<XMLRPCCallbackDelegate>)callbacks; 

/*
+ (BOOL)requestMethod:(NSString *)method;
+ (BOOL)requestMethod:(NSString *)method onSuccess:(XMLRPCSuccessBlock)success;
+ (BOOL)requestMethod:(NSString *)method onFailure:(XMLRPCFailureBlock)failure;
+ (BOOL)requestMethod:(NSString *)method onSuccess:(XMLRPCSuccessBlock)success onFailure:(XMLRPCFailureBlock)failure;
+ (BOOL)requestMethod:(NSString *)method withCallbacks:(XMLRPCBlockCallbacks *)callbacks;

+ (BOOL)requestMethod:(NSString *)method withParams:(NSArray *)params;
+ (BOOL)requestMethod:(NSString *)method withParams:(NSArray *)params onSuccess:(XMLRPCSuccessBlock)success;
+ (BOOL)requestMethod:(NSString *)method withParams:(NSArray *)params onFailure:(XMLRPCFailureBlock)failure;
+ (BOOL)requestMethod:(NSString *)method withParams:(NSArray *)params onSuccess:(XMLRPCSuccessBlock)success onFailure:(XMLRPCFailureBlock)failure;
+ (BOOL)requestMethod:(NSString *)method withParams:(NSArray *)params withCallbacks:(XMLRPCBlockCallbacks *)callbacks; */


@end
