//
//  XMLRPCResponse.h
//  XMLRPC
//
//  Created by Russell Jancewicz on 2012-05-28.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "XMLRPCCallbacks.h"

@interface XMLRPCResponse : NSObject <NSXMLParserDelegate>

@property (readonly, nonatomic) BOOL fault;
@property (readonly, nonatomic) NSNumber *faultCode;
@property (readonly, nonatomic) NSString *faultString;
@property (readonly, nonatomic) id object;

@property (readonly, nonatomic) XMLRPCRequest *request;

- (id)initWithData:(NSData *)data forRequest:(XMLRPCRequest *)request;
+ (XMLRPCResponse *)responseWithData:(NSData *)data forRequest:(XMLRPCRequest *)request;

- (void)performCallbacks;


@end
